STAT(1)

NAMN
stat - visa fil- eller filsystemstatus

SYNOPSIS
stat [FLAGGA]... FIL...

BESKRIVNING

Visa fil- eller filsystemstatus.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-L, --dereference
    Följ länkar.

-f, --file-system
    Visa filsystemstatus istället för filstatus.

--cached=LÄGE
    Ange hur cachade attribut används; användbart på fjärrsystem. Se LÄGE nedan.

-c  --format=FORMAT
    Använd angivet FORMAT istället för standardformat; skriv ut en nyrad efter varje användning av FORMAT.

--printf=FORMAT
    Som --format, men tolka specialkoder med omvänt snedstreck, och skriv inte ut en obligatorisk avslutande nyrad; om du vill ha en nyrad, ta med \n i FORMAT.

-t, --terse
    Skriv informationen på kortfattad form.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Argumentet LÄGE till --cached kan vara: always, never eller default. ”always” kommer använda cachade attribut om de finns, medan ”never” kommer försöka synkronisera med de senaste attributen och ”default” kommer överlåta detta till det underliggande filsystemet.

De giltiga formatsekvenserna för filer (utan --file-system):

%a  åtkomstbitar oktalt (se printf-flaggorna ”#” och ”0”)

%A  åtkomstbitar och filtyp i format läsbart för människa

%b  antal använda block (se %B)

%B  storleken i byte på varje block rapporterat av %b

%C  SELinux-säkerhetskontextsträng

%d  enhetsnummer decimalt (st_dev)

%D  enhetsnummer hexadecimalt (st_dev)

%Hd övre enhetsnummer decimalt

%Ld undre enhetsnummer decimalt

%f  tillståndet rått hexadecimalt

%F  filtyp

%g  grupp-ID på ägare

%G  gruppnamn på ägare

%h  antal hårda länkar

%i  inodnummer

%m  monteringspunkt

%n  filnamn

%N  citerat filnamn, med dereferens om symbolisk länk

%o  tips om optimal storlek för I/O-överföringar

%s  total storlek, i byte

%r  enhetstyp decimalt (st_rdev)

%R  enhetstyp hexadecimalt (st_rdev)

%Hr övre enhetstyp decimalt, för tecken-/blockenhetsspecialfiler

%Lr undre enhetstyp decimalt, för tecken-/blockenhetsspecialfiler

%t  övre enhetsnummer hexadecimalt, för tecken-/blockenhetsspecialfiler

%T  undre enhetsnummer hexadecimalt, för tecken-/blockenhetsspecialfiler

%u  användar-ID på ägare

%U  användarnamn på ägare

%w  filens födelsetid, läsbar för människa, eller - om okänd

%W  filens födelsetid, sekunder sedan Epok, eller 0 om okänd

%x  senaste åtkomsttid, läsbar för människa

%X  senaste åtkomsttid, sekunder sedan Epok

%y  senaste datamodifieringstid, läsbar för människa

%Y  senaste datamodifieringstid, sekunder sedan Epok

%z  senaste statusändringstid, läsbar för människa

%Z  senaste statusändringstid, sekunder sedan Epok

Giltiga formatsekvenser för filsystem:

%a  fria block tillgängliga för icke superanvändare

%b  totalt antal datablock i filsystem

%c  totalt antal filnoder i filsystem

%d  fria filnoder i filsystem

%f  fria block i filsystem

%i  filsystem-ID hexadecimalt

%l  maxlängd på filnamn

%n  filnamn

%s  blockstorlek (för snabbare överföringar)

%S  grundläggande blockstorlek (för antal block)

%t  filsystemstyp hexadecimalt

%T  filsystemstyp i format läsbart för människa

  --terse är likvärdigt med följande FORMAT:

    %n %s %b %f %u %g %D %i %h %t %T %X %Y %Z %W %o %C

  --terse --file-system är likvärdigt med följande FORMAT:

    %n %i %l %t %s %S %b %f %a %c %d

Ditt skal kan ha sin egen version av stat, som vanligen ersätter versionen som beskrivs här. Se dokumentationen för ditt skal för detaljer om valen det stödjer.

UPPHOVSMAN
Skrivet av Michael Meskes.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
stat(2), statfs(2), statx(2)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/stat>
eller tillgängligt lokalt via: info '(coreutils) stat invocation'

Paketerat av Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.